Bug 1447373 - limit list of user for tenant-administator role
Summary: limit list of user for tenant-administator role
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Libor Pichler
QA Contact: Aziza Karol
URL:
Whiteboard: rbac
Depends On: 1447370
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 14:23 UTC by Satoe Imaishi
Modified: 2017-05-31 15:07 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1447370
Environment:
Last Closed: 2017-05-31 15:07:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-02 14:26:06 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/7d6e53feb92e7653e735ce8cc1c1e3667ac5b476

commit 7d6e53feb92e7653e735ce8cc1c1e3667ac5b476
Author:     Šimon Lukašík <isimluk@fedoraproject.org>
AuthorDate: Tue May 2 14:03:38 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 2 10:24:21 2017 -0400

    Merge pull request #14898 from lpichler/rbac_for_user_model_by_role
    
    RBAC for User model regard to allowed role
    (cherry picked from commit 5697c1c4d19c057fa0dbc55b82b83d25b9f17a42)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447373

 app/models/user.rb             |  4 ++++
 lib/rbac/filterer.rb           |  2 +-
 spec/lib/rbac/filterer_spec.rb | 11 +++++++++++
 3 files changed, 16 insertions(+), 1 deletion(-)

Comment 3 Aziza Karol 2017-05-03 05:08:42 UTC
Users with super-administrator and administrator role not displayed when login with user having tenant-administrator role

Verified:5.8.0.13-rc2.20170502165848_0f98658

Comment 5 errata-xmlrpc 2017-05-31 15:07:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.